Can't downgrade 3ds

Discussion in '3DS - Homebrew Development and Emulators' started by krisztian1997, Jan 27, 2015.

  1. krisztian1997
    OP

    krisztian1997 GBAtemp Fan

    Member
    369
    146
    Dec 14, 2013
    Romania
    I am trying to downgrade an 3ds from 6.x to the 4.5 but when its writing to the nand I get 'Fatal error - 0001001'. The dg pack region is correct and the md5 checksum also matches the one from the website, the SD card what I am using is the 2gb one from the console... Any ideas what's the problem or I am doing something wrong ?
    Edit: Can a moderator move this to the 'Flashcard' board ? I didnt noticed that I created this in the homebrew and not the flashcard board.
     
  2. Pestilence204

    Pestilence204 GBAtemp Fan

    Member
    308
    162
    Mar 15, 2014
    Canada
    I just did a quick google search and found that a few people on maxconsole had the same issue (not sure if one of those are you or not).
    Looks like they haven't figured out the issue either.
     
  3. NCDyson

    NCDyson Hello Boys...

    Member
    271
    113
    Nov 9, 2009
    United States
    did you try a different SD card?
     
  4. krisztian1997
    OP

    krisztian1997 GBAtemp Fan

    Member
    369
    146
    Dec 14, 2013
    Romania
    Yes, same error... I think that the problem is that I used a cart to update.
     
  5. dontay0100

    dontay0100 GBAtemp Fan

    Member
    470
    108
    Mar 18, 2007
    United States
    I think it would have to do with the SD because first you have to backup nand thats one gig, then you have to download the DG pack thats about 500 mb i believe... so you probably have less than 500 mb left on the sd, probably not enough memory to read and write the data.. so first try and get an bigger SD card... or update your 3ds to another firmware higher than 6 but less than 9.4... then try again...
     
  6. DarkFlare69

    DarkFlare69 GBAtemp Psycho!

    Member
    4,682
    2,509
    Dec 8, 2014
    United States
    Ohio
    Get a 4gb then try again.
     
  7. krisztian1997
    OP

    krisztian1997 GBAtemp Fan

    Member
    369
    146
    Dec 14, 2013
    Romania
    Tried that right now, same error (at 07/07 it freezes for a second and then error)
     
  8. DarkFlare69

    DarkFlare69 GBAtemp Psycho!

    Member
    4,682
    2,509
    Dec 8, 2014
    United States
    Ohio
    Does the GW exploit work on your FW?
     
  9. krisztian1997
    OP

    krisztian1997 GBAtemp Fan

    Member
    369
    146
    Dec 14, 2013
    Romania
    Its 6.1 so yeah, it works.
     
  10. DarkFlare69

    DarkFlare69 GBAtemp Psycho!

    Member
    4,682
    2,509
    Dec 8, 2014
    United States
    Ohio
    Redownload the gateway.dg... maybe it broke or something.
     
  11. krisztian1997
    OP

    krisztian1997 GBAtemp Fan

    Member
    369
    146
    Dec 14, 2013
    Romania
    No its not, I already redownloaded it and the md5 matches, the launcher.dat md5 also matches the one from gw webpage.
     
  12. DarkFlare69

    DarkFlare69 GBAtemp Psycho!

    Member
    4,682
    2,509
    Dec 8, 2014
    United States
    Ohio
    Damn, I can't help you, it worked for me after getting a bigger SD card and redownloading.
     
  13. krisztian1997
    OP

    krisztian1997 GBAtemp Fan

    Member
    369
    146
    Dec 14, 2013
    Romania
    Something is wrong with the stuffs from gw, I already found 6 reports of this error happening with EUR console updated with a game cart...
     
  14. Dartz150

    Dartz150 GBATemp Official Lolicon Onii-chan™

    Member
    1,406
    845
    May 5, 2010
    Mexico
    On a Strange Journey
    Why not trying to update to another exploitable FW version like 7.1 or 8.1 and try? (Pokémon OR/AS and Smash Bros come with those updates)
     
  15. krisztian1997
    OP

    krisztian1997 GBAtemp Fan

    Member
    369
    146
    Dec 14, 2013
    Romania
    There is a thread on the max forum with this problem, someone already tried that with pokemon AS and he gets the same error
     
  16. Dartz150

    Dartz150 GBATemp Official Lolicon Onii-chan™

    Member
    1,406
    845
    May 5, 2010
    Mexico
    On a Strange Journey
    Have you tried to format the system?
     
  17. krisztian1997
    OP

    krisztian1997 GBAtemp Fan

    Member
    369
    146
    Dec 14, 2013
    Romania
    That was the first thing what I did after updating to 6.1 cause it had a lot of junk on it from the previous user.
     
  18. Dartz150

    Dartz150 GBATemp Official Lolicon Onii-chan™

    Member
    1,406
    845
    May 5, 2010
    Mexico
    On a Strange Journey
    The othr featurs of the Gateway launcher are working fine? (NAND Backup, NAND restore, Classic mode)
     
  19. krisztian1997
    OP

    krisztian1997 GBAtemp Fan

    Member
    369
    146
    Dec 14, 2013
    Romania
    Everything works perfectly, otherwise I couldn't start the downgrade and then restore the nand backup after the wrong stuffs gets written to it.
     
  20. Dartz150

    Dartz150 GBATemp Official Lolicon Onii-chan™

    Member
    1,406
    845
    May 5, 2010
    Mexico
    On a Strange Journey
    The only way to know what the problem is is too way risky, and you would need to have a NAND hardmod:

    Booting th 3DS after the error shows without restoring the NAND.